Package org.eclipse.mat.report

# Interface IOutputter.Context

Enclosing interface:
  IOutputter

public static interface IOutputter.Context
Holds information which controls how to format a report.

No Implement:

## Method Summary

Modifier and Type
Method
Description
`String`
`addContextResult(String name, IResult result)`
Add a `IResult` from a `DetailResultProvider` to the report.
`String`
`addIcon(URL icon)`
Get string to represent an icon
`String`
`getId()`
`int`
`getLimit()`
The limit on the number of rows to generate in the report from the result.
`File`
`getOutputDirectory()`
Where files for the report can be generated.
`String`
`getPathToRoot()`
`IQueryContext`
`getQueryContext()`
The query context for the result.
`boolean`
`hasLimit()`
Whether there is a limit on the number of rows to generate.
`boolean`
`isColumnVisible(int columnIndex)`
Whether a column of the result should be displayed in the report.
`boolean`
`isTotalsRowVisible()`
Whether to display a totals row from the result in the report.
`String`
`param(String key)`
Get the value of a parameter from `Params` controlling generation of a report.
`String`
`param(String key, String defaultValue)`
Get the value of a parameter from `Params` controlling generation of a report.

## Method Details

### getId

String getId()

### getQueryContext

IQueryContext getQueryContext()
The query context for the result. Could be used to convert object identifiers to addresses.

Returns:
  the query context

### getOutputDirectory

File getOutputDirectory()
Where files for the report can be generated.

Returns:
  the directory

### getPathToRoot

String getPathToRoot()

### addIcon

String addIcon(URL icon)
Get string to represent an icon

Parameters:
  `icon` - where the icon can be found
Returns:
  a string which can be used for the icon

### addContextResult

String addContextResult(String name, IResult result)
Add a `IResult` from a `DetailResultProvider` to the report.

Parameters:
  `name` -
  `result` -
Returns:
  a String which can be used by the IOutputter to identify the formatted result

### hasLimit

boolean hasLimit()
Whether there is a limit on the number of rows to generate.

Returns:
  true if there is a limit

### getLimit

int getLimit()
The limit on the number of rows to generate in the report from the result.

Returns:
  number of rows

### isColumnVisible

boolean isColumnVisible(int columnIndex)
Whether a column of the result should be displayed in the report.

Parameters:
  `columnIndex` -
Returns:
  true if column should be displayed

### isTotalsRowVisible

boolean isTotalsRowVisible()
Whether to display a totals row from the result in the report.

Returns:
  true if the totals row should be displayed

### param

String param(String key)
Get the value of a parameter from `Params` controlling generation of a report.

Parameters:
  `key` -
Returns:
  the value or null

### param

String param(String key, String defaultValue)
Get the value of a parameter from `Params` controlling generation of a report.

Parameters:
  `key` -
  `defaultValue` - the value to be used if no parameter with that key is set.
Returns:
  the value, or defaultValue if no parameter with that key